<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RenderSystemCapabilities Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#afdc1e7ba62cb1f222fcf23c9290a55d5">addShaderProfile</a>(const String &amp;profile)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a46fb809e330ee0164e75d4fee880515e">calculateSize</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a1ab81dc45d1a40fec22f50dc1cc209d0">getDeviceName</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a3b18ce631234849f40b418cb2b2da25b">getDriverVersion</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a86c7c29d8be145515892fa6d054fa44e">getFragmentProgramConstantBoolCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ab2fdf94ce9d02faafc52fa8ce458297b">getFragmentProgramConstantFloatCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#acb830e4b3adbb7c007bcfce4b53598d2">getFragmentProgramConstantIntCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a7d83baa353016578b1ef382fe1e9a652">getGeometryProgramConstantBoolCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a31df4ca21d368034fc227a68032d6d73">getGeometryProgramConstantFloatCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a326dacdce9774677e3b7c43574ea105f">getGeometryProgramConstantIntCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aa338f9c3c98368f689b51c1be5d20629">getGeometryProgramNumOutputVertices</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a6f82c240e62399468bafd8bc3f1eec88">getMaxPointSize</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a2c744135211afca5f60942980f65d9c3">getNonPOW2TexturesLimited</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a784b0219067ffbd30ba3708e7ac70e76">getNumMultiRenderTargets</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a3b1ffeb8ebc5f169f403cffdf1bccfa2">getNumTextureUnits</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a91ce0ecd6646d8bc2c7f4ecced70936d">getNumVertexBlendMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#afc245aed1285d3fbbdee743d51c68f8a">getNumVertexTextureUnits</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aac4ea4dbfe6da818ccc2f9585197553a">getNumWorldMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a8f5fe624cfb130d6b3ec4cbce9bd5e6a">getRenderSystemName</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a2a891af96902f1ec14c8fefa13334e0c">getStencilBufferBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a230df6ca36df3193a349bdf8e39ad3ba">getSupportedShaderProfiles</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a2edb2acef96180ee61f69eb88cf7099d">getVendor</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a8a2ed7cf3bdc06fc004aaf767e557c7e">getVertexProgramConstantBoolCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a03a9d1e3524b626b0a2ea8cb921eba3e">getVertexProgramConstantFloatCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ab07b9b287d282cecac36e661f6977e1a">getVertexProgramConstantIntCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ac7e5afd559a54cc00bd960948b776d57">getVertexTextureUnitsShared</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a14fd0260f957d3099781f70d544d5c8e">hasCapability</a>(const Capabilities c) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a0ef93a939911fad34f714016b9bdd575">initVendorStrings</a>()</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a0764ca092679210d1a9bb9a7fbff42c1">isCapabilityRenderSystemSpecific</a>(const Capabilities c) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a369ff64e76af2c9a7411efae8bdd2de5">isCategoryRelevant</a>(CapabilitiesCategory cat)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a02dc49aeda6b2ba15eb112e93f395a18">isDriverOlderThanVersion</a>(DriverVersion v) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#add6079ed97a673760aeefef9dcd509e0">isShaderProfileSupported</a>(const String &amp;profile) const </td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aef9f2e248e419df9621415c3951fba09">log</a>(Log *pLog)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a1b30b0b289357944d995c92d62bc8ff5">mCapabilities</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a24c9b8f75830eea3940eb96d65c72e94">mCategoryRelevant</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aff119ec670ab50a5c57a018f0fb48d64">mDeviceName</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a791d828c5292c7464dea066c3d8a893f">mDriverVersion</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a27fbb13b542a8e2c7d75e787381d4158">mFragmentProgramConstantBoolCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a363baa3153104884d2a0ef337ee6ea92">mFragmentProgramConstantFloatCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a9dbb5c8648d32eb1624309f94205763e">mFragmentProgramConstantIntCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a9a41f70967c304ea86ba165253a0f486">mGeometryProgramConstantBoolCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a398d04a705715fa0cc76da824c7ed298">mGeometryProgramConstantFloatCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a8e9bae2fcbf546bb41abd73253c1bc96">mGeometryProgramConstantIntCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a065a0a6d72c8d78e8955e869ff27b2d2">mGeometryProgramNumOutputVertices</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a1e33646cc9558a12c9389ca376ba94c2">mMaxPointSize</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a445dc7153fee1762d12abed5d7463f33">mNonPOW2TexturesLimited</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aaaa314c0131a7eb6492b1532cc0b340c">mNumMultiRenderTargets</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a43c9db6bfd307805cf5cc4e2f0799547">mNumTextureUnits</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#abbe27f5059909ee7a77103b3b43d5a3b">mNumVertexBlendMatrices</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ad59df370ee6f1a69dc6f7480e68d803c">mNumVertexTextureUnits</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a64e1006759ef01acc90408c6670ef157">mNumWorldMatrices</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a66e351a4641eda9de4d5fda6d0a1fdb5">mRenderSystemName</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ab73f781a3ac1e61dbef1c02eb3898277">msGPUVendorStrings</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a449e2125d88a4ae151f0744a17447880">mStencilBufferBitDepth</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a505669c09da972773cd0b2b69c2415dc">mSupportedShaderProfiles</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ad36538fad20245ba180607848da54373">mVendor</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a25fd805e6880fe8ac23796c69001eb9c">mVertexProgramConstantBoolCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ac0aa8c9beea605c71338bfcc1c9ccdc9">mVertexProgramConstantFloatCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ab013482d1a40f06df9bb5cea8d9c1970">mVertexProgramConstantIntCount</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a43a4c6e44984408f87ffb11d46c51052">mVertexTextureUnitsShared</a></td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aa4bceb481ecb9e3cf149f56d6195211f">parseDriverVersionFromString</a>(const String &amp;versionString)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a3b461142b8f84350448d6f600c043a65">parseVendorFromString</a>(const String &amp;vendorString)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a910a1e3eaa64e0571760911042a5aff8">removeShaderProfile</a>(const String &amp;profile)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a04d9002874f93e33c1c19b77981619b9">RenderSystemCapabilities</a>()</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ae4d12b08dc193773222f9938c54d452c">setCapability</a>(const Capabilities c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a3ed32552ceae783c759ded39cb97c8ae">setCategoryRelevant</a>(CapabilitiesCategory cat, bool relevant)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#afcc42f461a80ef4164f44d4b32b95ef7">setDeviceName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a651a8439d689ee0596ae7433df8ef593">setDriverVersion</a>(const DriverVersion &amp;version)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a011eba973fe349f787a621240b23617c">setFragmentProgramConstantBoolCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ad5ebcf7fa91d34bbda4d9020b43e3e33">setFragmentProgramConstantFloatCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#abc084fe2dda834b7d6b236b7ebd27c47">setFragmentProgramConstantIntCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#afae9796c75f5ee522a87b3dbcb2d8385">setGeometryProgramConstantBoolCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a2142d81f74376c692171e6e0f0ecc9de">setGeometryProgramConstantFloatCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a432f2f96f21e38e6b30801545feb4141">setGeometryProgramConstantIntCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a4c910cd9c215dff276f3907f1729df35">setGeometryProgramNumOutputVertices</a>(int numOutputVertices)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a1af2a1dc2f1ca1f269dac3f2086ce61d">setMaxPointSize</a>(Real s)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aa01343a82a55354a350735ffeb53a237">setNonPOW2TexturesLimited</a>(bool l)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ae71df2e605b37bc04a8ea19ac783aff8">setNumMultiRenderTargets</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a30d60525e67ed5f91b6cbd6237bf6d59">setNumTextureUnits</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ac0c9d7c2da760077f75262a0b2527ef5">setNumVertexBlendMatrices</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ac413b836ff218b338962cfdbfd8f3abd">setNumVertexTextureUnits</a>(ushort n)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#afae5921b6a024dfac5770664d805e226">setNumWorldMatrices</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a2dac3b98a92f6f65f73d866f0ed7f329">setRenderSystemName</a>(const String &amp;rs)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a8e94964a9e870f2abae39d60ca481222">setStencilBufferBitDepth</a>(ushort num)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#acea58e6dfa194db2dc129927553c2ab5">setVendor</a>(GPUVendor v)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a5c5748ababf1fed6341974394707af2e">setVertexProgramConstantBoolCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a1e7fb39f40db9845caba401dd68b71f0">setVertexProgramConstantFloatCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#aca154f790d3d3e17ea63eae71c4809ea">setVertexProgramConstantIntCount</a>(ushort c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a6d3150e03533c65123b4cdc1abf148cf">setVertexTextureUnitsShared</a>(bool shared)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a811e06a15b0ada4ab8926eebbd1dd63d">ShaderProfiles</a> typedef</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ad01ce2fbf726de817cb34bbc66cf946c">unsetCapability</a>(const Capabilities c)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a413b71be5793f84bf93f5613b8e508de">vendorFromString</a>(const String &amp;vendorString)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#a67709b893155d9adbf11b1deefd3fedf">vendorToString</a>(GPUVendor v)</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ab7381a148f427757ff94426908dd807f">~RenderSystemCapabilities</a>()</td><td><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
